Subject: Re: include/asm-ppc/platforms/

From: Frank Rowand <[email-masked]>
Date: Sat, 01 Dec 2001 10:19:40 -0800

Dan Malek wrote:
>
> Frank Rowand wrote:
>
> > ....Some concrete
> > examples of core / chip / board are:
> >
> >   403
> >     403GCX
> >   405
> >     405cr
> >     405gp
> >       walnut
> >       cpci405
> >       ep405
> >     stb03xxx
> >       redwood-4
> >     NPe405H
> >     NPe405L
>
> I think the 4xx has always had this backward from other PowerPC platform
> definiitons.  While we should define processor cores, their peripherals,
> and boards, the least common denominator is the processor core.  With the execption
> of few boards (the Sandpoint comes to mind), simply configuring a board
> type will allow you to know which processor package is used and further
> the processor core.  If I say "Walnut" configuration, I already know everything
> else, I don't need to be asked all of the other configuration questions.
> Our files should also follow this structure.  The Walnut configuration file
> should include 405GP (which defines peripherals) which should then include
> the processor core definitions (if necessary).  This way, when a new processor
> package with a different peripheral configuration is added, all you need to
> do is ensure the proper lower level core file is included, you don't have
> to update all of the board configuration files with stuff they don't care about.
>
> If, in this example, the Walnut had different processor types available, it
> would make sense within that configuration to ask the processor type, but no
> one else would (nor should) care.  Again, the file structure would follow,
> with the Walnut board configuration including the appropriately configured
> processor package.
>
> Thanks.
>
>         -- Dan

If I understand correctly, you are talking only about the configuration
structure, not the header file structure -- so a different topic than
what this thread has been.  Please correct me if you are also talking
about header file structure.

arch/ppc/config.in has already been changed to match what you propose.

-Frank
--
Frank Rowand <[email-masked]>
MontaVista Software, Inc

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/